<?xml version="1.0" encoding="UTF-8"?>
<!-- Original code inspired by WordPress SEO by Joost de Valk (http://yoast.com/wordpress/seo/) -->
<xsl:stylesheet version="2.0"
        xmlns:html="http://www.w3.org/TR/REC-html40"
				xmlns:image="http://www.google.com/schemas/sitemap-image/1.1"
        xmlns:sitemap="http://www.sitemaps.org/schemas/sitemap/0.9"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<html xmlns="http://www.w3.org/1999/xhtml">
			<head>
				<title>Sitemap</title>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<style type="text/css">
					* {
						margin: 0;
						padding: 0;
						border: 0;
						font-size: 100%;
						vertical-align: baseline;
						box-sizing: border-box;
					}

					body {
						font-family: Arial, sans-serif;
						font-size: 12px;
						color: #333333;
						line-height: 20px;
					}

					table {
						border-collapse: collapse;
						margin-bottom: 1em;
						width: 100%;
						clear: both;
						position: relative;
						z-index: 2;
						line-height: 20px;
					}

					caption {
						text-align: left;
						margin-bottom: 30px;
						margin-top: 10px;
					}

					#content {
						width: 90%;
						margin: 0 auto;
						position: relative;
					}

					p {
						text-align: center;
						color: #333;
						font-size: 11px;
					}

					p a {
						color: #6655aa;
						font-weight: bold;
					}

					a {
						color: #17A8E3;
						text-decoration: none;
					}

					a:hover {
						text-decoration: underline;
					}

					td, th {
						text-align: left;
						font-size: 12px;
						padding: 10px 20px;
						white-space: nowrap;
					}

					td:first-child {
						white-space: inherit;
					}

					th {
						background-color: #F2F2F2;
						font-weight: bold;
					}

					tr.even td {
						background-color: #F8F8F8;
					}

					tr.even td:first-of-type,
					th:first-of-type {
						border-radius: 5px 0 0 5px;
					}

					tr.even td:last-of-type,
					th:last-of-type {
						border-radius: 0 5px 5px 0;
					}

					h1 {
						display: table;
						float: left;
						font-size: 16px;
						font-weight: bold;
						margin-top: 30px;
					}

					tbody tr {
						color: #666666;
					}

					.header {
						background: url("data:image/png;base64,[encoded data, 15092 characters]") no-repeat right center;
						background-size: 60px 80px;
						display: table;
						float: right;
						height: 80px;
						position: absolute;
						right: 15px;
						top: 30px;
						width: 190px;
						z-index: 3;
					}

					.header span {
						display: table-cell;
						padding-bottom: 10px;
						vertical-align: bottom;
						color: #888888;
						font-size: 10px;
					}

					.header span a {
						color: #333333;
					}

					.footer,
					.footer a,
					.footer a:hover,
					.footer a:active,
					.footer a:focus {
						color: #888888;
						font-size: 10px;
						margin-top: 30px;
					}

					.footer a {
						font-weight: bold;
					}

					@media all and (max-width: 700px){
						td, th {
							padding: 10px;
						}
					}
				</style>
			</head>
			<body>
				<div id="content">
					<div class="header">
						<span>Powered by <a target="_blank" href="https://premium.wpmudev.org/project/smartcrawl-wordpress-seo/">SmartCrawl</a></span>
					</div>
					<h1>Sitemap</h1>
					<table id="sitemap">
						<caption>This XML sitemap index file contains <strong><xsl:value-of select="count(sitemap:urlset/sitemap:url)"/></strong> URLs.</caption>
						<thead>
							<tr>
								<th width="75%" valign="bottom">URL</th>
								<th width="5%" valign="bottom">Priority</th>
								<th width="5%" valign="bottom">Frequency</th>
								<th width="5%" valign="bottom">Images</th>
								<th width="10%" valign="bottom">Last Modified</th>
							</tr>
						</thead>
						<tbody>
							<xsl:for-each select="sitemap:urlset/sitemap:url">
								<xsl:variable name="css-class">
									<xsl:choose>
										<xsl:when test="position() mod 2 = 0">even</xsl:when>
										<xsl:otherwise>odd</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<tr class="{$css-class}">
									<td>
										<xsl:variable name="item_url">
											<xsl:value-of select="sitemap:loc"/>
										</xsl:variable>
										<a href="{$item_url}">
											<xsl:value-of select="sitemap:loc"/>
										</a>
									</td>
									<td>
										<xsl:value-of select="concat(sitemap:priority*100,'%')"/>
									</td>
									<td>
										<xsl:value-of select="sitemap:changefreq"/>
									</td>
									<td>
										<xsl:value-of select="count(image:image)"/>
									</td>
									<td>
										<xsl:value-of select="concat(substring(sitemap:lastmod,0,11),concat(' ', substring(sitemap:lastmod,12,5)))"/>
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>
					<p class="footer">
						This is an XML Sitemap, meant for consumption by search engines. For more info visit <a href="http://sitemaps.org">sitemaps.org</a>.
					</p>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
